Howto:Firmware Upgrade V8 V9

From innovaphone-wiki

Jump to: navigation, search

Contents

Applies To

This information applies to:

  • All PBX devices
  • All DECT devices

Configuration Changes

PBX Objects

Existing Broadcast Conference objects must be changed with the update to V9 Final till V9 Hotfix 6 if an innovaphone Conferencing Interface (CONF) is used. Add the 'Conference Id Prefix' '*3' in all BC Conference objects, see also Conferencing Interface. With V9 Hotfix 7 and later a predefined id prefix and suffix are used and nothing must be changed if the innovaphone Conferencing Interface is used. With V9 Hofix 7 and later the 3rd Party Conferencing Unit option in the Broadcast Conference objects must be ticked again if a third party conference unit is used.

Known Problems

H.323 pickup execute encoding changed

If you use V8 DECT devices, the internal DECT feature code 'Pickup' is not correct working with a V9 PBX. The call is not connected, but the device is called back by the PBX.

Workaround: Update the DECT device to V9, use the PBX object DTMF features or use the call pickup with call back.

innovaphone voicemail

Mailboxes with vowel mutation (umlaute/umlauts), like ü,ö,ä (for example Müller, more precisely mailboxes for users with non-ascii characters in the name) did work anymore when upgrading from pre-V9 versions to early V9 development versions. This has been fixed from build 90423. Pre-V9

licenses with certain characters in license comment

See V8 to V9 update with license comments with certain-characters.

Config Templates chained

Since there were changes on mechanism from v8 to v9, if there is a complex scenario with chained templates (3 or more) some configurations (ie. function keys) of "upper" templates are lost so it's needed to rework manually this "chains" on v9 setup setting the full "tree" of chained templates (up to 4) plus the checkmark of store-phone config in each template.

Incompatibilities between certain Firmware Versions in V7, V8 and V9

There are incompatibilities between newer and older V7, V8 and V9 firmware builds. As a result, you should not mix these versions. However, contemporary builds of all these version do not have the problem. It is recommended thus to upgrade all V7 and/or V8 builds to the latest version before starting the migration.

DHCP Lease Reservations with Umlaut-Characters

Non-ascii characters in DHCP lease reservations create problems after the upgrade. It is best to remove all such characters before saving the old (pre-V9) configuration.

Versions / hotfixes

We strongly recommend not to omit a version during a upgrade

I.e. Don't upgrade from v7 directly to V9 or V10

Upgrade only step by step to the next versions highest hotfix.

v7 (latest hotfix) -> v8 (latest hotfix),

v8 (latest hotfix) -> v9 (latest hotfix),

v9 (latest hotfix) -> v10 (latest hotfix)

Related Articles

Personal tools